package de.ivu.elect.interfaces.core;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Datei {

  @XmlElement(required = true)
  private String dateiname;

  @XmlElement(required = true)
  private String dateiImportArtAsString; // keine enum, ändert sich zu häufig...

  @XmlElement(required = true)
  private String fileTypeAsString; // keine enum, ändert sich zu häufig...

  @XmlElement(required = true)
  private String format;

  @XmlElement(required = true)
  private String mimeType;

  @XmlElement(required = true)
  private String originalDateiname;

  @XmlElement(required = true)
  private byte[] content;

  public String getDateiname() {
    return dateiname;
  }

  public void setDateiname(String dateiname) {
    this.dateiname = dateiname;
  }

  public String getDateiImportArtAsString() {
    return dateiImportArtAsString;
  }

  public void setDateiImportArtAsString(String dateiImportArtAsString) {
    this.dateiImportArtAsString = dateiImportArtAsString;
  }

  public String getFileTypeAsString() {
    return fileTypeAsString;
  }

  public void setFileTypeAsString(String fileTypeAsString) {
    this.fileTypeAsString = fileTypeAsString;
  }

  public String getFormat() {
    return format;
  }

  public void setFormat(String format) {
    this.format = format;
  }

  public String getMimeType() {
    return mimeType;
  }

  public void setMimeType(String mimeType) {
    this.mimeType = mimeType;
  }

  public String getOriginalDateiname() {
    return originalDateiname;
  }

  public void setOriginalDateiname(String originalDateiname) {
    this.originalDateiname = originalDateiname;
  }

  public byte[] getContent() {
    return content;
  }

  public void setContent(byte[] content) {
    this.content = content;
  }
}
